Skip to main content
GET
List storage integrations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include_external_providers
boolean
default:false

Include authorized sources whose credentials are obtained through an external provider exchange. These sources may not support Files browsing.

Response

Successful Response

id
string
required
createTime
string<date-time>
required
updateTime
string<date-time>
required
name
string
required
path
string
required
region
string
required
type
enum<string>
required
Available options:
INTEGRATION,
MANAGED,
USER_FILES
roleArn
string | null
stackName
string | null
defaultDirectory
string | null
readOnly
boolean
default:false
cloudConnection
CloudConnectionRead · object | null